package cd.casic.ci.process.engine.manager;

import cd.casic.ci.process.engine.runContext.TaskRunContext;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.web.servlet.mvc.method.annotation.SseEmitter;

import java.util.List;

/**
 *  TODO 用来管理日志连接
 *  TODO 用来写入日志
 * */
public interface LoggerManager {
    SseEmitter subscribe(String taskId,HttpServletRequest request);
    void append(String taskId,String logContent);
    String getLogContent(String taskId);
    void flushMemory(List<TaskRunContext> taskContextList);
    void clear(String pipelineId);
}
